%define	oname	scid_vs_pc
%define	rname	scid

Summary:	Chess database
Name:		scidvspc
Version:	4.10
Release:	%mkrel 7
Group:		Games/Boards
License:	GPL
Source0:	%{oname}-%{version}.tgz
URL:		http://scidvspc.sourceforge.net
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)
BuildRequires:	pkgconfig(zlib)
Conflicts:	%{rname}

%description
Scid (Shane's Chess Information Database) is a free chess database
application for Unix and Microsoft Windows operating systems.

Scid converts to and from PGN (Portable Game Notation) format, which
is the standard for text-based chess information exchange, but uses
its own fast compact format for storing files.

%prep
%setup -q -n %{oname}-%{version}

%build
./configure BINDIR=%{_bindir} SHAREDIR=%{_datadir}/%{rname}
%make

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_datadir}/%{rname}
%makeinstall BINDIR=%{buildroot}%{_bindir} SHAREDIR=%{buildroot}%{_datadir}/%{rname}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/128x128/apps
cp icons/%{rname}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

find %{buildroot}%{_datadir}/%{rname} -type d -exec chmod 755 {} +

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Scid vs. PC
Comment=Chess games database
Exec=%{rname}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=BoardGame;
EOF

%files
%{_bindir}/*
%{_datadir}/%{rname}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*/*/*/%{name}.*
%doc doc/ChangeLog doc/CHANGES doc/README doc/THANKS doc/TODO


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 4.10-7.mga6
+ Revision: 958840
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 4.10-6.mga6
+ Revision: 886395
- rebuild for new tcl/tk 8.6.4

* Wed Oct 15 2014 umeabot <umeabot> 4.10-5.mga5
+ Revision: 747999
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Dec 18 2013 luigiwalser <luigiwalser> 4.10-3.mga4
+ Revision: 558628
- fix permissions of bitmaps directories

* Tue Oct 22 2013 umeabot <umeabot> 4.10-2.mga4
+ Revision: 545011
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 4.10-1.mga4
+ Revision: 500589
- new version 4.10

* Mon Jan 14 2013 umeabot <umeabot> 4.8-2.mga3
+ Revision: 381823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 12 2012 dams <dams> 4.8-1.mga3
+ Revision: 317214
- new version 4.8

* Thu Jul 26 2012 dams <dams> 4.7-1.mga3
+ Revision: 274518
- imported package scidvspc

